package com.gic.haoban.manage.service.service.licence.impl;

import com.gic.haoban.manage.service.dao.mapper.licence.TabHaobanLicenceOrderProgressMapper;
import com.gic.haoban.manage.service.entity.licence.TabHaobanLicenceOrderProgress;
import com.gic.haoban.manage.service.service.licence.LicenceOrderProgressService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @description:
 * @Author: wenhua
 * @Date: 2023/3/9 17:02
 */
@Service
public class LicenceOrderProgressServiceImpl implements LicenceOrderProgressService {

    @Autowired
    private TabHaobanLicenceOrderProgressMapper tabHaobanLicenceOrderProgressMapper;

    @Override
    public Integer insert(TabHaobanLicenceOrderProgress tabHaobanLicenceOrderProgress) {
        Integer insert = tabHaobanLicenceOrderProgressMapper.insert(tabHaobanLicenceOrderProgress);
        return insert;
    }

    @Override
    public List<TabHaobanLicenceOrderProgress> getListByOrderId(Long orderId,Integer type) {
        List<TabHaobanLicenceOrderProgress> list = tabHaobanLicenceOrderProgressMapper.getListByOrderId(orderId,type);
        return list;
    }

    @Override
    public Integer deleteByOrderId(Long orderId) {
        return tabHaobanLicenceOrderProgressMapper.deleteByOrderId(orderId);
    }
}
